{% extends '::base_admin.html.twig'%}
{%block body%}
<div class="row">
  <div class="col-md-12">
    <h3>Ajouter un hôte</h3><br/>
    {{ form_start(form) }}
    <div class="row">
      <div class="col-md-5">

        {{ form_label(form.nom, "Nom") }}
        {{ form_errors(form.nom) }}
        {{ form_widget(form.nom) }}

        {{ form_label(form.adresse, "Adresse") }}
        {{ form_errors(form.adresse) }}
        {{ form_widget(form.adresse) }}

        {{ form_label(form.telephone, "Téléphone") }}
        {{ form_errors(form.telephone) }}
        {{ form_widget(form.telephone) }}

        {{ form_label(form.siteweb, "Site web") }}
        {{ form_errors(form.siteweb) }}
        {{ form_widget(form.siteweb) }}

        {{ form_label(form.email, "E-mail") }}
        {{ form_errors(form.email) }}
        {{ form_widget(form.email) }}
      </div>
      <div class="col-md-1"></div>
      <div class="col-md-5">

        {{ form_label(form.facebook, "Page Facebook") }}
        {{ form_errors(form.facebook) }}
        {{ form_widget(form.facebook) }}

        {{ form_label(form.twitter, "Compte Twitter") }}
        {{ form_errors(form.twitter) }}
        {{ form_widget(form.twitter) }}

        {{ form_label(form.instagram, "Compte Instagram") }}
        {{ form_errors(form.instagram) }}
        {{ form_widget(form.instagram) }}

        {{ form_label(form.ville, "Ville") }}
        {{ form_errors(form.ville) }}
        {{ form_widget(form.ville) }}

        <div id="quartier-select-container"></div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-5">
        {{ form_label(form.lat, "Latitude") }}
        {{ form_errors(form.lat) }}
        {{ form_widget(form.lat) }}
      </div>
      <div class="col-md-1"></div>
      <div class="col-md-5">
        {{ form_label(form.lon, "Longitude") }}
        {{ form_errors(form.lon) }}
        {{ form_widget(form.lon) }}
      </div>
      <div class="col-md-11">
        <div class="map">
          <div style="font-size: 0.9em; color: #777">Cliquer sur la carte pour définir la position de l'hôte</div>
          <div id="map" style="height: 250px; width: 100%"></div>
        </div>
      </div>
    </div>



    {{ form_widget(form) }}
    <br/>
    <button type="submit" class="btn btn-danger">Enrégistrer</button>
    {{ form_end(form) }}
  </div>
</div>
{%endblock%}
{%block javascripts%}
{{parent()}}
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCc4WNl0rXPzlg1g7A2ZjimnYLBS4s6qhA&callback=initMap" async defer></script>
<script>
var markers = [];
$(document).ready(function(){
  var map;
  var lastZemPos = null;
  //navigator.geolocation.getCurrentPosition(initMap);
  //initMap();
});

function initMap() {
    /*$('#hote_lat').val(position.coords.latitude);
    $('#hote_lon').val(position.coords.longitude);*/
    //var myLatLng = {lat: position.coords.latitude, lng: position.coords.longitude};
    var myLatLng = {lat: 6.358143, lng: 2.437504};
    map = new google.maps.Map(document.getElementById('map'), {
      center: myLatLng,
      scrollwheel: false,
      zoom: 15
    });
    map.setOptions({styles: styles['retro']});
    var myPosMarker = new google.maps.Marker({
      position: myLatLng,
      map: map,
      title: 'Votre position actuelle'
    });
    map.addListener('click', function(e) {
      myPosMarker.setMap(null);
      $('#hote_lat').val(e.latLng.lat());
      $('#hote_lon').val(e.latLng.lng());
      placeMarkerAndPanTo(e.latLng, map);
    });
}

function placeMarkerAndPanTo(latLng, map) {
  var marker = new google.maps.Marker({
    position: latLng,
    map: map
  });
  deleteMarkers();
  markers.push(marker);
  console.log(markers);
  //map.panTo(latLng);
}

// Adds a marker to the map and push to the array.
function addMarker(location) {
  var marker = new google.maps.Marker({
    position: location,
    map: map
  });
  markers.push(marker);
}

// Sets the map on all markers in the array.
function setMapOnAll(map) {
  for (var i = 0; i < markers.length; i++) {
    markers[i].setMap(map);
  }
}

// Removes the markers from the map, but keeps them in the array.
function clearMarkers() {
  setMapOnAll(null);
}

// Shows any markers currently in the array.
function showMarkers() {
  setMapOnAll(map);
}

// Deletes all markers in the array by removing references to them.
function deleteMarkers() {
  clearMarkers();
  markers = [];
}



var styles = {
  default: null,
  retro: [
    {elementType: 'geometry', stylers: [{color: '#ebe3cd'}]},
    {elementType: 'labels.text.fill', stylers: [{color: '#523735'}]},
    {elementType: 'labels.text.stroke', stylers: [{color: '#f5f1e6'}]},
    {
      featureType: 'administrative',
      elementType: 'geometry.stroke',
      stylers: [{color: '#c9b2a6'}]
    },
    {
      featureType: 'administrative.land_parcel',
      elementType: 'geometry.stroke',
      stylers: [{color: '#dcd2be'}]
    },
    {
      featureType: 'administrative.land_parcel',
      elementType: 'labels.text.fill',
      stylers: [{color: '#ae9e90'}]
    },
    {
      featureType: 'landscape.natural',
      elementType: 'geometry',
      stylers: [{color: '#dfd2ae'}]
    },
    {
      featureType: 'poi',
      elementType: 'geometry',
      stylers: [{color: '#dfd2ae'}]
    },
    {
      featureType: 'poi',
      elementType: 'labels.text.fill',
      stylers: [{color: '#93817c'}]
    },
    {
      featureType: 'poi.park',
      elementType: 'geometry.fill',
      stylers: [{color: '#a5b076'}]
    },
    {
      featureType: 'poi.park',
      elementType: 'labels.text.fill',
      stylers: [{color: '#447530'}]
    },
    {
      featureType: 'road',
      elementType: 'geometry',
      stylers: [{color: '#f5f1e6'}]
    },
    {
      featureType: 'road.arterial',
      elementType: 'geometry',
      stylers: [{color: '#fdfcf8'}]
    },
    {
      featureType: 'road.highway',
      elementType: 'geometry',
      stylers: [{color: '#f8c967'}]
    },
    {
      featureType: 'road.highway',
      elementType: 'geometry.stroke',
      stylers: [{color: '#e9bc62'}]
    },
    {
      featureType: 'road.highway.controlled_access',
      elementType: 'geometry',
      stylers: [{color: '#e98d58'}]
    },
    {
      featureType: 'road.highway.controlled_access',
      elementType: 'geometry.stroke',
      stylers: [{color: '#db8555'}]
    },
    {
      featureType: 'road.local',
      elementType: 'labels.text.fill',
      stylers: [{color: '#806b63'}]
    },
    {
      featureType: 'transit.line',
      elementType: 'geometry',
      stylers: [{color: '#dfd2ae'}]
    },
    {
      featureType: 'transit.line',
      elementType: 'labels.text.fill',
      stylers: [{color: '#8f7d77'}]
    },
    {
      featureType: 'transit.line',
      elementType: 'labels.text.stroke',
      stylers: [{color: '#ebe3cd'}]
    },
    {
      featureType: 'transit.station',
      elementType: 'geometry',
      stylers: [{color: '#dfd2ae'}]
    },
    {
      featureType: 'water',
      elementType: 'geometry.fill',
      stylers: [{color: '#b9d3c2'}]
    },
    {
      featureType: 'water',
      elementType: 'labels.text.fill',
      stylers: [{color: '#92998d'}]
    }
  ],
};

</script>
{%endblock%}
